#define BOOST_TEST_MAIN
#include "Logger.h"

#include <boost/test/unit_test.hpp>

BOOST_AUTO_TEST_CASE(CheckLogger) 
{    
//	_CrtSetBreakAlloc(238);

 	NS_Logging::GetLogger("ServerExchangeManager");
 	NS_Logging::GetLogger("ServerExchangeManager");
	NS_Logging::Logger& logger1 = NS_Logging::GetLogger("ServerExchangeManager");
	NS_Logging::Logger& logger2 = NS_Logging::GetLogger("ClientAdapterStub");
	LOG_ERROR_(logger1, "Some debug message1");
	LOG_ERROR_(logger2, "Some debug message2");
}

